/*
 * Copyright (C) 2005 Alex Murray <murray.alex@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef SENSORS_APPLET_I2C_SYS_H
#define SENSORS_APPLET_I2C_SYS_H

#include "sensors-applet.h"

typedef enum {
	I2C_SYS_CURRENT_SENSOR = 0,
	I2C_SYS_FAN_SENSOR,
	I2C_SYS_VOLTAGE_SENSOR,
	I2C_SYS_TEMP_SENSOR
} I2cSysSensorType;

void sensors_list_i2c_sys_init(SensorsApplet *sensors_applet);
void sensors_list_i2c_sys_update_labels(SensorsList *sensors_list);

#endif /* SENSORS_APPLET_I2C_SYS_H */
